%{?nodejs_find_provides_and_requires}
Name:                nodejs-github-url-from-git
Version:             1.5.0
Release:             1
Summary:             Parse a GitHub git URL and return the GitHub repository URL
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
License:             MIT
URL:                 https://github.com/visionmedia/node-github-url-from-git
Source0:             https://registry.npmjs.org/github-url-from-git/-/github-url-from-git-%{version}.tgz
Source1:             https://raw.github.com/tchollingsworth/node-github-url-from-git/154fb09296b79637e25952638782995ad6812612/LICENSE
BuildRequires:       nodejs-packaging
BuildRequires:       npm(mocha) npm(should) npm(better-assert)
%description
%{summary}.

%prep
%setup -q -n package
cp %{SOURCE1} LICENSE

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/github-url-from-git
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/github-url-from-git
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha test.js --reporter spec --require should

%files
%{nodejs_sitelib}/github-url-from-git
%doc *.md
%license LICENSE

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.5.0-1
- Package init
